AsyncResult Driver License

Get DL Verification Result

Retrieve the result of an asynchronous driver license verification request.

curl -X GET "https://production.deepvue.tech/v1/verification/get-driving-license?request_id=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -H "x-api-key: YOUR_API_KEY"
{
  "action": "verify_with_source",
  "completed_at": "2025-01-28T12:34:02+05:30",
  "created_at": "2025-01-28T12:34:01+05:30",
  "group_id": "8e16424a-58fc-4ba4-ab20-5bc8e7c3c41e",
  "request_id": "3d56781e-e17d-45f3-b470-c53ce8efb9bc",
  "result": {
    "source_output": {
      "address": "6, 8TH CROSS  TPS LAYOUT TP NAGAR 9TH PHASE, Bangalore North-East,Bangalore,KA",
      "badge_details": null,
      "card_serial_no": null,
      "city": null,
      "cov_details": [
        {
          "category": null,
          "cov": "MCWG",
          "issue_date": "2017-09-07"
        },
        {
          "category": null,
          "cov": "LMV",
          "issue_date": "2017-09-07"
        }
      ],
      "date_of_issue": "2017-09-07",
      "date_of_last_transaction": null,
      "dl_status": null,
      "dob": "1999-06-28",
      "face_image": null,
      "gender": null,
      "hazardous_valid_till": null,
      "hill_valid_till": null,
      "id_number": "KA0120170526899",
      "issuing_rto_name": "RTO BANGALORE (CENTRAL), HSR LAYOUT",
      "last_transacted_at": null,
      "name": "MOHAMMED NIHAR",
      "nt_validity_from": "2017-09-07",
      "nt_validity_to": "2037-09-06",
      "relatives_name": "NOOR  MOHAMMED",
      "source": "government_website",
      "status": "id_found",
      "t_validity_from": null,
      "t_validity_to": null
    }
  },
  "status": "completed",
  "task_id": "0e4f7-0402-48de-b740-2de08b952f92",
  "type": "ind_driving_license"
}
GET
/v1/verification/get-driving-license
GET
Bearer Token (JWT)
Bearer Tokenstring
Required

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key (header: x-api-key)
x-api-keystring
Required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

header
x-api-keystring
Required

API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

Query Parameters

Responses

actionstring
completed_atstring
created_atstring
group_idstring
request_idstring
resultobject
statusstring
task_idstring
typestring

Overview

This API retrieves the complete verification result and detailed information for a driving license verification request. It accepts the request_id received from the Create DL Verification endpoint and returns the corresponding verification outcome.

Upon successful verification, the API returns comprehensive driving license information including personal identifiers (name, date of birth, ID number), document validity periods and issue dates, issuing RTO (Regional Transport Office) details, class of vehicle (COV) categories with respective validity, and address information from the document.

The response includes an operational status such as "completed" with verified data, or error conditions indicating issues like inactive clients, authentication failures, invalid request identifiers, or source unavailability.